function love.load(arg)
  img = love.graphics.newImage("enemy.png")
  shader_on = true
  local noise = love.filesystem.read("shaders/perlin2d.glsl")
  local splatter = love.filesystem.read("shaders/splatter.fs")
  poop_splatter = love.graphics.newShader(noise..splatter)
  poop_splatter:send("shader_color", {115, 79, 5})
  poop_splatter:send("center", {.59,.5})
  poop_splatter:send("angle", math.random()*2*math.pi)

end

function love.draw(dt)
  if shader_on then love.graphics.setShader(poop_splatter) else love.graphics.setShader() end
  love.graphics.draw(img,50,50)
  love.graphics.setShader()
end

function love.update(dt)

end

function love.keypressed(key)
  if key == "space" then
    poop_splatter:send("angle", math.random()*2*math.pi)
  end
  if key == "escape" then
    love.event.quit()
  end
end
