extern number angle;
extern vec2 center;
extern vec3 shader_color;
vec4 effect( vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords){
  vec4 pixel = Texel(texture,texture_coords);
  vec2 offset = vec2(sin(angle)*0.35, cos(angle)*0.35);
  vec2 splatter = center + offset;
  vec2 px_to_center = texture_coords - splatter;
  number noise = perlin2d(screen_coords / 3.5);
  noise = noise * 0.5 + 0.5;
  number val = length(px_to_center);
  if (val < 0.45 && noise * val < .08)
      return vec4(shader_color[0]/255*pixel.r,shader_color[1]/255.0*pixel.g,shader_color[2]/255.0*pixel.b,pixel.a);
    else
      return pixel;

}
